#!/bin/bash
table=$1
include=$2
shift
shift

rm -f $table
for header in $include*.h; do
    printf "#include <%s>\n" $(basename $header) >> $table
done

echo '' >> $table
echo 'const struct symbol_entry SYMBOL_TABLE[] = {' >> $table

# Sacamos los simbolos que estan en .text y que no empiezan con _
for object in "$@"; do
    nm $object | grep ' T ' | awk '{print "\t{(uintptr_t) &"$3", \""$3"\"},"}' >> $table
done

echo "};" >> $table
echo 'const uint64_t SYMBOL_COUNT = sizeof(SYMBOL_TABLE) / sizeof(SYMBOL_TABLE[0]);' >> $table
