#ifndef __ISR_H__
#define __ISR_H__

// Exceptions
void _isr0();
void _isr1();
void _isr2();
void _isr3();
void _isr4();
void _isr5();
void _isr6();
void _isr7();
void _isr8();
void _isr9();
void _isr10();
void _isr11();
void _isr12();
void _isr13();
void _isr14();
void _isr15();
void _isr16();
void _isr17();
void _isr18();
void _isr19();
void _isr20();

// Clock
void _isr32();
// Keyboard
void _isr33();
// Real Time Clock
void _isr40();
// ATA Hard Disks
void _isr46();
void _isr47();
// Exit
void _isr48();
// Spurious interrupt
void _isr_spurious();

#endif  /* !__ISR_H__ */
