#ifndef __SHELL_H
#define __SHELL_H

#include <types.h>

#define SHELL_MAX_LEN 1024

noreturn void shell_init();

int64_t check_path(char * path);
int64_t set_cwd(char * new_cwd);
char *get_cwd();
int64_t readline(char * buffer, uint64_t len);
int64_t parse_command(char* command, uint64_t length);
int64_t execute_command(char* command, uint64_t argc);
int64_t set_relative_cwd(char * new_relative);

#endif
