#ifndef __TYPES_H
#define __TYPES_H

#include <stdint.h>

typedef enum bool {false, true} bool;

#define NULL ((void *)0)

#define noreturn _Noreturn

#define VOLATILE_DWORD_ARRAY(addr) ((volatile uint32_t *) (uintptr_t) (addr))

#define LS_INLINE static __inline __attribute__((always_inline))

#define BREAKPOINT() do { __asm __volatile("xchg %%bx, %%bx" : :); } while(0)

/* Varargs */
#define va_start(v,l) __builtin_va_start(v,l)
#define va_arg(v,l)   __builtin_va_arg(v,l)
#define va_end(v)     __builtin_va_end(v)
#define va_copy(d,s)  __builtin_va_copy(d,s)
typedef __builtin_va_list va_list;

#endif
