%include "defines.mac"

global ap_real_mode
global ap_real_mode_end

extern common_code
extern GDT_DESC

BITS 16

section .text

ap_real_mode:
    ; A20 YA ESTA HABILITADO POR EL BSP
    ; Desactivo interrupciones
    cli
    ; Cargar la GDT, levanto el segmento mas cercano al primer MiB
    mov ax, 0xFFFF
    mov ds, ax
    ; Como estamos 16 bytes abajo del primer MiB, le sumamos 16
    mov ebx, GDT_DESC + 16
    ; Tomo solo el offset contando desde el primer MiB
    lgdt [ds:bx]
    ; Setear el bit PE del registro CR0
    mov eax, CR0
    or eax, 1
    mov CR0, eax
    ; Cargo los selectores de segmento
    mov ax, GDT_DESC_DATA_DPL0
    mov ds, ax
    mov es, ax
    mov fs, ax
    mov gs, ax
    mov ss, ax
    ; Saltar a modo protegido
    jmp dword GDT_DESC_CODE_DPL0_32:common_code
ap_real_mode_end:
