#!/bin/bash
OKMSG="\e[92mTest passed."
FAILMSG="\e[91mTest didn't pass."
DEFAULTCOLOR="\e[39m"

echo -e '\e[94mNOTE:\e[39m The disk image (hdd/hdd.img) should be clean before running this test.'

echo -n "main test: "
./$1 >/dev/null
if [[ $? -ne 0 ]]
    then echo -e $FAILMSG
    else echo -e $OKMSG
fi
echo -ne $DEFAULTCOLOR

echo -n "e2fsck test: "
/sbin/e2fsck -nf hdd.img &>/dev/null
if [[ $? -ne 0 ]]
    then echo -e $FAILMSG
    else echo -e $OKMSG
fi
echo -ne $DEFAULTCOLOR

exit 0
